## eventbasedparsing
Class BlastLike2XML

    java.lang.Object
      eventbasedparsing.BlastLike2XML

    public class BlastLike2XML

extends Object

Blast2XML is an application for the conversion native output from BLAST-like bioinformatics software into an XML format.

For currently supported bioinformatics programs, please see the documentation for the BlastLikeSaxParser. This class simply wraps the functionality of BlastLikeToXMLConverter. Please see the documentation of this class for a documented example of how to use the parsing framework.

The XML produced should validate against the biojava BlastLikeDataSetCollection DTD.

Usage is:

     java Blast2XML <blastlike pathname> [-mode <strict|lazy>]

-mode is optional paramater. Choosing strict mode will mean the application throws exceptions if the precise version of a given piece of bioinformatics software is not recognised. Lazy mode will attempt to parse the file regardless of version number.

For programs currently supported, please see the documentation for the BlastLikeSAXParser.

Copyright © 2000 Cambridge Antibody Technology.

Primary author -

- Simon Brocklehurst (CAT)

Other authors -

- Tim Dilks (CAT)
- Colin Hardman (CAT)
- Stuart Johnston (CAT)

Version:
  1.0
Author:
  Cambridge Antibody Technology (CAT)
See Also:
  `BlastLikeToXMLConverter`, `BlastLikeSAXParser`

Constructor Summary
`BlastLike2XML()`

Method Summary
`static void` `main(String[] args)` Converts an file containing the output from bioinformatics software with a "blast-like" format into an XML format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlastLike2XML

    public BlastLike2XML()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Converts an file containing the output from bioinformatics software with a "blast-like" format into an XML format.

  Parameters:
    `args` - a `String[]` representation of a pathname
  Throws:
    `Exception` - if an error occurs